### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-multiselect/ecl-multiselect.component.ts`

### Implements

`OnInit` `DoCheck` `ControlValueAccessor` `AfterViewInit` `OnDestroy`

### Metadata

selector | `select[eclMultiselect]`
templateUrl | `ecl-multiselect.component.html`

### Index

###### Properties
eclOptionItems
###### Methods
Public registerOnChange Public registerOnTouched Public setDisabledState Public writeValue
###### Inputs
eclPlaceholder eclSize isDisabled isInvalid size styleClass
###### Outputs
eclChange
###### HostBindings
class
###### HostListeners
document:click
###### Accessors
eclPlaceholder size

### Constructor

`constructor(eclFormGroup: EclFormGroupComponent, ngControl: NgControl, el: ElementRef, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, differs: IterableDiffers)`
Parameters :
Name | Type | Optional
eclFormGroup | `EclFormGroupComponent` | No
ngControl | `NgControl` | No
el | `ElementRef` | No
componentFactoryResolver | `ComponentFactoryResolver` | No
viewContainerRef | `ViewContainerRef` | No
differs | `IterableDiffers` | No

### Inputs

eclPlaceholder
Type : `string`

eclSize
Type : `string`
Default value : `'m'`

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

size
Type : `string`

styleClass
Type : `string`

### Outputs

eclChange
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

document:click
Arguments : `'$event'`
`document:click(ev: MouseEvent)`

### Methods

Public registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public setDisabledState
`setDisabledState(disabled: boolean)`
Parameters :
Name | Type | Optional
disabled | `boolean` | No
Returns : `void`

Public writeValue
`writeValue(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

### Properties

eclOptionItems
Type : `QueryList<EclSelectOptionDirective>`
Decorators : `@ContentChildren(EclSelectOptionDirective)`

### Accessors

eclPlaceholder
set `eclPlaceholder(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

size
set `size(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

# result-matching ""

# No results matching ""